2011-2014
Khronos Group
gl_WorkGroupID
3G

# gl_WorkGroupID

contains the index of the workgroup currently being operated on by a compute shader

## Declaration

in
uvec3 `gl_WorkGroupID`

## Description

In the compute language, `gl_WorkGroupID` contains the 3-dimensional index of the global work group that the current compute shader invocation is executing within. The possible values range across the parameters passed into `glDispatchCompute`, i.e., from (0, 0, 0) to (`gl_NumWorkGroups.x` - 1, `gl_NumWorkGroups.y` - 1, `gl_NumWorkGroups.z` - 1).

## Version Support

`gl_WorkGroupID`

## See Also

gl_NumWorkGroups, gl_WorkGroupID, gl_LocalInvocationID

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.